Trying to launch the Installation Manager I receive an issue on libfontconfig

Meaning I have installed all the RPMs/filesets at the proper version as well as installed 32 bit versions for those stated.
Still the Installation Manager will not launch. I receive the following error to the screen, no log files are written.

Truncated error message
Error :

Could not load SWT library. Reasons:
/opt/IBM/cognos/Installationmanager/eclipse/configuration/org.eclipse.osgi/bundles/370/1/.cp/libswt-pi-gtk-4239.a ( 0509-022
Cannot load module /usr/lib/libfontconfig.a(libfontconfig.so.1).
0509-150 Dependent module
/opt/IBM/cognos/HTTPServer/lib/libexpat.a(libexpat.so.1) could not be loaded.
0509-152 Member libexpat.so.1 is not found in archive
0509-022 Cannot load module
/opt/IBM/cognos/Installationmanager/eclipse/configuration/org.eclipse.osgi/bundles/370/1/.cp/libswt-pi-gtk-4239.a.
0509-150 Dependent module /usr/lib/libfontconfig.a (libfontconfig.so.1) could not be loaded.)
swt-pi-gtk (Not found in java.library.path)
/home/cognadmd/.swt/lib/aix/ppc/libswt-pi-gtk-4239.a ( 0509-022 Cannot load module /usr/lib/libfontconfig.a(libfontconfig.so.1).
0509-150 Dependent module
/opt/IBM/cognos/HTTPServer/lib/libexpat.a(libexpat.so.1) could not be loaded.
0509-152 Member libexpat.so.1 is not found in archive
0509-022 Cannot load module /home/cognadmd/.swt/lib/aix/ppc/libswt-pi-gtk-4239.a.
0509-150 Dependent module /usr/lib/libfontconfig.a (libfontconfig.so.1) could not be loaded.)
/home/cognadmd/.swt/lib/aix/ppc/libswt-pi-gtk.a ( 0509-022 Cannot load module /home/cognadmd/.swt/lib/aix/ppc/liblibswt-pi-gtk.a.so.
0509-026 System error: A file or directory in the path name does not exist.)
java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons:
/opt/IBM/cognos/Installationmanager/eclipse/configuration/org.eclipse.osgi/bundles/370/1/.cp/libswt-pi-gtk-4239.a ( 0509-022 Cannot load module /usr/lib/libfontconfig.a(libfontconfig.so.1).
0509-150 Dependent module
/opt/IBM/cognos/HTTPServer/lib/libexpat.a(libexpat.so.1) could not be loaded.
0509-152 Member libexpat.so.1 is not found in archive
0509-022 Cannot load module

Related:

Leave a Reply